Freeciv-3.3: chat_input Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Private Slots
chat_input Class Reference

`#include <chatline.h>`

Inheritance diagram for chat_input:

## Public Member Functions

| chat_input (QWidget *parent=nullptr)
virtual void | chat_word_list_changed (const QStringList &cmplt_word_list)
bool | event (QEvent *event)

## Private Slots

void | send ()

## Additional Inherited Members

Private Types inherited from listener< chat_listener >
typedef chat_listener | type_t
Private Member Functions inherited from chat_listener
| chat_listener ()
virtual void | chat_message_received (const QString &, const struct text_tag_list *)
void | send_chat_message (const QString &message)
int | position_in_history ()
QString | back_in_history ()
QString | forward_in_history ()
void | reset_history_position ()
QStringList | current_word_list ()
Private Member Functions inherited from listener< chat_listener >
| listener ()
virtual | ~listener ()
void | listen ()
Static Private Member Functions inherited from chat_listener
static void | update_word_list ()
Static Private Member Functions inherited from listener< chat_listener >
static void | invoke (_member_fct_ function)
static void | invoke (_member_fct_ function, _arg1_t_ arg)
static void | invoke (_member_fct_ function, _arg1_t_ arg1, _arg2_t_ arg2)
Static Private Attributes inherited from chat_listener
static const int | HISTORY_END = -1

## Detailed Description

Definition at line 81 of file chatline.h.

## Constructor & Destructor Documentation

## ◆ chat_input()

chat_input::chat_input | ( | QWidget * | parent = `nullptr` | ) |

explicit

Constructor

Definition at line 212 of file chatline.cpp.

## Member Function Documentation

## ◆ chat_word_list_changed()

void chat_input::chat_word_list_changed | ( | const QStringList & | cmplt_word_list | ) |

virtual

Called whenever the completion word list changes.

Reimplemented from chat_listener.

Definition at line 232 of file chatline.cpp.

Referenced by chat_input().

## ◆ event()

bool chat_input::event | ( | QEvent * | event | ) |

Event handler for chat_input, used for history

Definition at line 249 of file chatline.cpp.

## ◆ send

void chat_input::send | ( |  | ) |

privateslot

Sends the content of the input box

Definition at line 223 of file chatline.cpp.

Referenced by chat_input().